#pragma once

#include <math.h>

class Field
{
public:
    Field(int i_width, int i_height, float fl_pheromone_max);
    ~Field();

    void tick();

    void add_pheromone(float fl_x, float fl_y, float fl_strength);

    float get_pheromone_strength(float fl_x, float fl_y);
    float get_pheromone_strength(int i_x, int i_y);

    float get_pheromone_max();

private:
    int i_width, i_height;

    float** fl_ground;

    float fl_pheromone_max;
};